# weapon

from models.loots.loot import Loot


class Weapon(Loot):
    def __init__(
        self,
        name: str,
        description: str,
        type: int,
        loot_value: int,
        power: int,
        drop_rate: int,
    ) -> None:
        super().__init__(name, description, type, loot_value, power, drop_rate)
        self.id = None
        self.name = name
        self.description = description
        self.power = power
